import type { LearningContentType } from "@/types";
import { assertUnreachable } from "@/utils/utils";

export function learningContentTypeData(t: LearningContentType): {
  title: string;
  icon: string;
} {
  switch (t) {
    case "assignment":
      return { title: "Transferauftrag", icon: "it-icon-lc-assignment" };
    case "book":
      return { title: "Buch", icon: "it-icon-lc-book" };
    case "document":
      return { title: "Dokument", icon: "it-icon-lc-document" };
    case "exercise":
      return { title: "Übung", icon: "it-icon-lc-exercise" };
    case "learningmodule":
      return { title: "Lernmodul", icon: "it-icon-lc-learning-module" };
    case "media_library":
      return { title: "Mediathek", icon: "it-icon-lc-media-library" };
    case "online_training":
      return { title: "Online-Training", icon: "it-icon-lc-online-training" };
    case "video":
      return { title: "Video", icon: "it-icon-lc-video" };
    case "test":
      return { title: "Test", icon: "it-icon-lc-test" };
    case "resource":
      return { title: "Reflexion", icon: "it-icon-lc-resource" };
    case "placeholder":
      return { title: "In Umsetzung", icon: "it-icon-lc-document" };
  }

  return assertUnreachable();
}
